# Edited by rpmlb
%{?scl:          %scl_package        python-cheetah}
%{!?scl:         %global pkg_name    %{name}}

%{?scl:
%filter_from_provides s|/opt/rh/.*/root/usr/bin/python.*||g;s|python.*abi.*$||g
%filter_from_requires s|/opt/rh/.*/root/usr/bin/python.*||g;s|python.*abi.*$||g
%filter_setup
}

Name:           %{scl_prefix}python-cheetah
Version:        3.0.0
Release:        2%{?dist}
Summary:        Template engine and code generator

Group:          Development/Libraries
License:        MIT
URL:            http://cheetahtemplate.org/
Source:         https://pypi.python.org/packages/5b/22/0238132792f3600717fad9647072486e2c15b7b45f845b52cc484b9af024/Cheetah3-3.0.0.tar.gz

Patch0:         cheetah-3.0.0-dont-run-tests-twice.patch

BuildRequires: %{?pythonscl:%{pythonscl}-}python-devel
BuildRequires: %{?pythonscl:%{pythonscl}-}python-setuptools
BuildRequires: %{?scl_prefix}python-markdown
BuildRequires: %{?pythonscl:%{pythonscl}-}python-pygments

%{?scl:Requires:%scl_runtime}

Requires: %{?scl_prefix}python-markdown
Requires: %{?pythonscl:%{pythonscl}-}python-pygments

%description
Cheetah is an open source template engine and code generation tool,
written in Python. It can be used standalone or combined with other
tools and frameworks. Web development is its principal use, but
Cheetah is very flexible and is also being used to generate C++ code,
Java, SQL, form emails and even Python code.

%prep
%setup -q -n Cheetah3-%{version}
%patch0 -p1
# remove unnecessary shebang lines to silence rpmlint
%{__sed} -i -e '/^#!/,1d' Cheetah/Tests/* \
	 Cheetah/DirectiveAnalyzer.py Cheetah/Utils/Misc.py

%build
%{?scl:scl enable %{scl} %{?pythonscl} - << \EOF}
python setup.py build
%{?scl:EOF}

%install
%{?scl:scl enable %{scl} %{?pythonscl} - << \EOF}
python setup.py install -O1 --skip-build --root %{buildroot} --install-scripts=%{_bindir} --install-platlib=%{python_sitearch}
%{?scl:EOF}

%check
%{?scl:scl enable %{scl} %{?pythonscl} - << \EOF}
export PATH="%{buildroot}/%{_bindir}:$PATH"
export PYTHONPATH="%{buildroot}/%{python_sitearch}"
%{buildroot}/%{_bindir}/cheetah test
%{?scl:EOF}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%license LICENSE
%doc ANNOUNCE.rst README.rst TODO BUGS
%{_bindir}/cheetah*
%{python_sitearch}/*

%changelog
* Fri Feb 23 2018 Marek Skalický <mskalick@redhat.com> - 3.0.0-2
- Add -runtime requirement

* Thu Feb 08 2018 Marek Skalický <mskalick@redhat.com> - 3.0.0-1
- Build with python3
- Rebase to latest version from Fedora 28

* Wed Jan 03 2018 Marek Skalický <mskalick@redhat.com> - 2.4.4-7
- Release bump

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Mike Bonnet <mikeb@redhat.com> - 2.4.4-1
- update to the 2.4.4 release

* Mon Oct 18 2010 Mike Bonnet <mikeb@redhat.com> - 2.4.3-1
- update to the 2.4.3 release

* Mon Oct 18 2010 Mike Bonnet <mikeb@redhat.com> - 2.4.2.1-3
- Fix compatibility with Python 2.7

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 2.4.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon May 24 2010 Mike Bonnet <mikeb@redhat.com> - 2.4.2.1-1
- update to the 2.4.2.1 release

* Thu Jan 14 2010 Mike Bonnet <mikeb@redhat.com> - 2.4.1-3
- remove unnecessary shebang lines to silence rpmlint

* Fri Jan  8 2010 Mike Bonnet <mikeb@redhat.com> - 2.4.1-2
- fix Source url

* Mon Jan  4 2010 Mike Bonnet <mikeb@redhat.com> - 2.4.1-1
- update to the 2.4.1 release

* Tue Oct 20 2009 Mike Bonnet <mikeb@redhat.com> - 2.2.2-2
- backport significant improvements to utf-8/unicode handling from upstream

* Mon Sep 14 2009 Mike Bonnet <mikeb@redhat.com> - 2.2.2-1
- update to the 2.2.2 release
- add dependency on python-markdown for consistency with the egg-info

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun  5 2009 Mike Bonnet <mikeb@redhat.com> - 2.2.1-1
- update to the 2.2.1 release

* Mon May 18 2009 Mike Bonnet <mikeb@redhat.com> - 2.2.0-1
- update to the 2.2.0 release
- remove unneeded importHook() patch, it has been included upstream

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 1 2008 Toshio Kuratomi <toshio@fedoraproject.org> - 2.0.1-4
- Fix cheetah enough that it will pass its unittests on python-2.6.  This has
  actually been broken since py-2.5 and this fix is only a workaround.

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.0.1-3
- Rebuild for Python 2.6

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.0.1-2
- Autorebuild for GCC 4.3

* Tue Dec  4 2007 Mike Bonnet <mikeb@redhat.com> - 2.0.1-1
- update to the 2.0.1 release

* Mon Oct 15 2007 Mike Bonnet <mikeb@redhat.com> - 2.0-1
- update to the 2.0 release

* Tue Aug 21 2007 Mike Bonnet <mikeb@redhat.com> - 2.0-0.7.rc8
- rebuild for F8

* Thu May  3 2007 Mike Bonnet <mikeb@redhat.com> - 2.0-0.6.rc8
- bump release for rebuild

* Mon Apr 23 2007 Mike Bonnet <mikeb@redhat.com> - 2.0-0.5.rc8
- update to 2.0rc8

* Mon Jan  8 2007 Mike Bonnet <mikeb@redhat.com> - 2.0-0.4.rc7
- use setuptools and install setuptools metadata

* Sun Dec 10 2006 Mike Bonnet <mikeb@redhat.com> - 2.0-0.3.rc7
- rebuild against python 2.5
- remove obsolete python-abi Requires:

* Mon Sep 11 2006 Mike Bonnet <mikeb@redhat.com> - 2.0-0.2.rc7
- un-%%ghost .pyo files

* Thu Jul 13 2006 Mike Bonnet <mikeb@redhat.com> - 2.0-0.1.rc7
- update to 2.0rc7
- change %%release format to conform to Extras packaging guidelines

* Sun May 21 2006 Mike Bonnet <mikeb@redhat.com> - 2.0-0.rc6.0
- update to 2.0rc6
- run the included test suite after install

* Thu Feb 16 2006 Mike Bonnet <mikeb@redhat.com> - 1.0-2
- Rebuild for Fedora Extras 5

* Wed Dec  7 2005 Mike Bonnet <mikeb@redhat.com> - 1.0-1
- Initial version
